package com.jscape.inet.sftp;

import java.util.Arrays;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public class HashInfo {

    public final String algorithmName;
    public final byte[] hash;

    public HashInfo(String algorithmName, byte[] hash) {
        assertNotNull(algorithmName);
        this.algorithmName = algorithmName;

        assertNotNull(hash);
        this.hash = hash;
    }

    @Override
    public String toString() {
        return "HashInfo {"
               + "algorithmName='" + this.algorithmName + '\''
               + ", hash=" + Arrays.toString(this.hash)
               + '}';
    }
}
